--- title: "Unit Types" slug: "unit-types" updated: 2025-08-26T18:48:00Z published: 2025-08-26T18:48:00Z canonical: "guide.youraspire.com/unit-types" --- > ## Documentation Index > Fetch the complete documentation index at: https://guide.youraspire.com/llms.txt > Use this file to discover all available pages before exploring further. # Unit Types ## **Description** A measuring unit that classifies material or takeoffs. E.g. Hours, Bags, Gal. SF., Click [Unit Type](https://guide.youraspire.com/docs/en/admin-list-screens#unit-type-screen) for more information. ## Resource Overview | Endpoint | Definition | | --- | --- | | GET /UnitTypes | Retrieve a list of information related to unit types. | | PUT /UnitType | Updates an existing Unit Type. | | POST /UnitTypes | Creates a new Unit Type. | ## Attributes | Attribute | Description | **Data Type** | Notes | | --- | --- | --- | --- | | Active | indicates if the unit type is currently active or inactive | boolean | | | UnitTypeID | unique identifier for unit type | integer(int32) | | | UnitTypeName | name for unit type | string | |